# Yahoo! UI Library

### event-custom 3.3.0

Yahoo! UI Library > event-custom > Subscriber
Search:
Filters Show Private Show Protected Show Deprecated

## Class Subscriber

Stores the subscriber information to be used when the event fires.

### Constructor

Subscriber `( fn , context , args* )`

Parameters:
  `fn <Function>` The wrapped function to execute.
  `context <Object>` The value of the keyword 'this' in the listener.
  `args* <Array>` 0..n additional arguments to supply the listener.

### Properties

#### args - `Array`

Additional arguments to propagate to the subscriber

#### context - `Object`

Optional 'this' keyword for the listener

#### events - `{EventTarget}`

Custom events for a given fire transaction.

#### fn - `Function`

The callback that will be execute when the event fires This is wrapped by Y.rbind if obj was supplied.

#### id - `String`

Unique subscriber id

#### once - `object`

This listener only reacts to the event once

### Methods

#### contains

`boolean contains ( fn , context )`
Returns true if the fn and obj match this objects properties. Used by the unsubscribe method to match the right subscriber.

Parameters:
  `fn <Function>` the function to execute.
  `context <Object>` optional 'this' keyword for the listener.

Returns: `boolean`
  true if the supplied arguments match this subscriber's signature.

#### notify

`void notify ( args , ce )`
Executes the subscriber.

Parameters:
  `args <Array>` Arguments array for the subscriber.
  `ce <CustomEvent>` The custom event that sent the notification.

Copyright © 2011 Yahoo! Inc. All rights reserved.